using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Globalization;

using Syncfusion.Windows.Forms.Chart;

namespace ChartDateAxisLabel
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(192)), ((System.Byte)(255)));
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.chartControl1.MinZoomFactorX = 0.05;
			this.chartControl1.MinZoomFactorY = 0.05;
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.Orientation = System.Windows.Forms.Orientation.Horizontal;
			this.chartControl1.PrimaryXAxis.RoundingPlaces = 2;
			this.chartControl1.PrimaryYAxis.RoundingPlaces = 2;
			this.chartControl1.RoundingPlaces = 2;
			this.chartControl1.Size = new System.Drawing.Size(600, 430);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "chartControl1";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(600, 430);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.chartControl1});
			this.Name = "Form1";
			this.Text = "Weather Tracker";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
		InitializeChartData();
		}

		protected void InitializeChartData()
		{
			this.chartControl1.Text  = "% Humidity";
			this.chartControl1.Indexed = false;
			this.chartControl1.LegendPosition = ChartLegendPosition.Top;
			this.chartControl1.Legend.Visible = false;
			this.chartControl1.Model.ColorModel.Palette = ChartColorPalette.Triad;
			this.chartControl1.HidePartialLabels = false;
			
			DateTime start = DateTime.Now;
			DateTimeFormatInfo dtInfo = new DateTimeFormatInfo();
			
			ChartSeries series = this.chartControl1.Model.NewSeries("% Humidity");
				
			series.Points.Add(start.AddDays(2), 70);
			series.Points.Add(start.AddDays(4), 50);
			series.Points.Add(start.AddDays(6), 30);
			series.Points.Add(start.AddDays(8), 50);
			series.Points.Add(start.AddDays(10), 60);
			series.Points.Add(start.AddDays(12), 40);
			series.Points.Add(start.AddDays(14), 80);
				
			series.Type = ChartSeriesType.Column;
			series.Text = series.Name;
			this.chartControl1.Series.Add(series);
	
			this.chartControl1.PrimaryXAxis.IntervalType = ChartDateTimeIntervalType.Days;
			this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
			this.chartControl1.PrimaryXAxis.LabelRotate = true;
			this.chartControl1.PrimaryXAxis.LabelRotateAngle = 90;
			this.chartControl1.ChartFormatAxisLabel += new ChartFormatAxisLabelEventHandler(this.ChartFormatAxisLabelEventHandler);
		}

		private void ChartFormatAxisLabelEventHandler(object sender, ChartFormatAxisLabelEventArgs e)
		{
			if(e.AxisOrientation == Orientation.Vertical)// Y axis
			{
				e.Label = e.Value.ToString() + " %";
				e.Handled = true;
			}
		}
	}
}
